Bug 122919 - Switch to Jersey version 0.5
Switch to Jersey version 0.5
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: REST
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Nam Nguyen
issues@webservices
: PLAN
Depends on:
Blocks: 122918
  Show dependency treegraph
 
Reported: 2007-11-28 00:38 UTC by Peter Liu
Modified: 2008-01-20 11:54 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Liu 2007-11-28 00:38:08 UTC
We need to switch to using Jersey version 0.5 which is planned to be released on 1/18/08.  There are some major changes
coming in this release that will impact how RESTful web service are built.
Comment 1 Peter Liu 2007-12-05 01:26:28 UTC
In terms of API changes, the UriTemplate annotation has been changed to Path. Plus, HttpMethod annotation is now
replaced with GET, PUT, POST and DELETE annotation, etc.

Comment 2 Nam Nguyen 2007-12-07 23:51:04 UTC
Complete initial switch.
JSR-311 API is not complete yet.  At least we will have @UriParam to be changed to @PathParam.
Comment 3 Nam Nguyen 2008-01-03 23:29:40 UTC
@PathParam is scheduled for jersey 0.6.  Closed a fix.
Comment 4 Lukas Jungmann 2008-01-20 11:54:37 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo